---
layout: feature
title: GitLab CI/CD for GitHub
suppress_header: true
extra_css:
  - gitlab-feature-landing-page.css
  - features.css
---
.wrapper.gitlab-ee-page
  = partial "includes/features/gitlab-ee-nav"
  .image-title
    .color-bg
      %div
        %h1 GitLab CI/CD for GitHub
        %h3#description
          Host your code on GitHub.
          <br />
          Build, test, and deploy on GitLab.
        %a.btn.cta-btn.btn-white{ href: "https://docs.gitlab.com/ee/ci/ci_cd_for_external_repos/github_integration.html", target: "_blank" } Documentation
  .sub-wrapper
    .container
      .row#automate-build-and-test
        .col-xs-12.col-md-10.col-md-offset-1
          %h2 Automate build and test
          %p.overview
            :markdown
              With the GitHub integration, GitLab users can now create a CI/CD project in GitLab connected to an external GitHub.com or GitHub Enterprise code repository. This will automatically prompt GitLab CI/CD to run whenever code is pushed to GitHub and post CI/CD results back to both GitLab and GitHub when completed.
      %hr.divider/

      .row#who-is-github-integration-for
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Who is GitLab CI/CD for GitHub for?
          .overview
            :markdown
              ### Open source projects
              If you have a public, open source project on GitHub you can now take advantage of free CI/CD on GitLab.com. As part of our commitment to open source, we offer all public projects our highest tier features (Gold) for free. While other CI/CD vendors limit you to running a handful of concurrent jobs, [GitLab.com](http://GitLab.com) gives open source projects hundreds of concurrent jobs with 50,000 free CI pipeline minutes.

              ### Large Enterprises
              When we talk to our largest customers they tell us that they often have many teams using many different tools. They want to standardize on GitLab for CI/CD but code is stored in GitLab, GitHub, and other repos. This feature now allows enterprises to use common CI/CD pipelines across all of their different repos. This is a key audience and why we’ve made CI/CD for GitHub part of our self-managed Premium plan.

              ### Anyone using GitHub.com
              While GitLab is designed to use SCM & CI/CD in the same application, we understand the appeal of using GitLab CI/CD with GitHub version control. So, for the next year we are making the GitLab CI/CD for GitHub feature a part of our [GitLab.com](http://GitLab.com) Free tier. That means anyone using GitHub from personal projects and startups to SMBs can use GitLab CI/CD for free. Starting at 2000 free CI pipeline minutes, folks can also [add their own Runners](https://docs.gitlab.com/ee/ci/runners/README.html#registering-a-specific-runner) or upgrade plans to get more.

              ### Gemnasium customers
              We recently [acquired Gemnasium](/press/releases/2018-01-30-gemnasium-acquisition.html). While we are super excited about having such a great team join our ranks, we also want to take care of folks that were using Gemnasium and provide them a migration path. We’ve already [shipped Gemnasium features](/blog/2018/02/22/gitlab-10-5-released/#gemnasium-dependency-checks) as part of our built-in security scanning. Now, GitLab CI/CD for GitHub allows Gemnasium customers that were using GitHub + Gemnasium to begin using GitLab CI/CD for their security needs without needing to migrate their code.
        .col-md-4.col-md-offset-1.hidden-xs.hidden-sm
          .ee-feature-icon
            %img.hidden-xs{alt: "GitHub logo", src: "/images/logos/github-logo.svg"}/
      %hr.divider/

      .row#Benefits
        .col-md-4.hidden-xs.hidden-sm
          .ee-feature-icon
            %img.hidden-xs{alt: "GitLab status in GitHub", src: "/images/features/github-status-github.png"}/
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Benefits
          .overview
            :markdown
              With GitLab CI/CD for GitHub, users can create a CI/CD project in GitLab connected to an external GitHub code repository. This will automatically configure several components:

              - [Pull mirroring](https://docs.gitlab.com/ee/workflow/repository_mirroring.html#pulling-from-a-remote-repository) of the repository.
              - A push webhook to GitLab triggers CI/CD immediately once a code is committed.
              - GitHub project service integration webhooks CI status back to GitHub.
      %hr.divider/

      .row#number-one-ci
        .col-md-4.hidden-xs.hidden-sm
          .ee-feature-icon
            %img.hidden-xs{alt: "GitLab rated #1 by Forrester", src: "/images/home/forrester-ci-wave-graphic.svg"}/
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Use the #1 CI with GitHub
          .overview
            :markdown
              GitLab has been [rated as industry-leading](/blog/2017/09/27/gitlab-leader-continuous-integration-forrester-wave/) by Forrester. Previously, in order to take advantage of the best CI, you needed to host your code on GitLab. But now, you can use GitLab's top-rated CI tool with your code hosted on GitHub.
      %hr.divider/

      .row#ci-cd-external-repo
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 GitLab CI/CD for External Repositories
          .overview
            :markdown
              Not only does GitLab integrate with GitHub, but you can also run CI/CD from any external git repo from any vendor by adding a repo by URL to your project and configuring webhook. For example, you can [configure Bitbucket to use GitLab CI/CD](https://docs.gitlab.com/ee/ci/ci_cd_for_external_repos/bitbucket_integration.html).

              Read the documentation for [GitLab CI/CD for external repositories](https://docs.gitlab.com/ee/ci/ci_cd_for_external_repos/).
        .col-md-4.hidden-xs.hidden-sm
          .ee-feature-icon
            %img.hidden-xs{alt: "Git logo", src: "/images/logos/git-logo.svg"}/
      %hr.divider/

      .row#pricing
        .col-md-4.hidden-xs.hidden-sm
          .ee-feature-icon
            = icon("checklist-icon")
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Plans and Pricing
          .overview
            :markdown
              GitLab CI/CD for GitHub is not priced separately, but comes bundled as a feature of GitLab's standard end-to-end product.

              For **self-managed** installations, GitLab CI/CD for GitHub is available for customers with **Premium** and **Ultimate** license plans.

              For **GitLab.com** users, GitLab CI/CD for GitHub will be available promotionally in our **Free** tier through September 22, 2019. (After September 22, 2019 it will move to the **Silver** tier and be available on **Silver** and **Gold**.)

              Learn more about GitLab subscription options visit the [pricing page](/pricing/).
      %hr.divider/

      .row#learn-more
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Learn more
          .overview
            :markdown
              - **GitLab CI/CD:** Learn more about the [benefits of GitLab CI/CD](/product/continuous-integration/).
              - **Docs**: Get started with the [documentation](https://docs.gitlab.com/ee/ci/ci_cd_for_external_repos/github_integration.html).
              - **Release**: Read the release post for [GitLab 10.6](/blog/2018/03/22/gitlab-10-6-released/).
        .col-md-4.col-md-offset-1.hidden-xs.hidden-sm
          .ee-feature-icon
            %img.hidden-xs{alt: "GitLab logo", src: "/images/logos/gitlab-logo.svg"}/
      %hr.divider/
